org.eclipse.jgit.lib

## Interface IndexDiff.WorkingTreeIteratorFactory

Enclosing class:
  IndexDiff

    public static interface IndexDiff.WorkingTreeIteratorFactory

A factory to producing WorkingTreeIterators

Since:
  3.6

### Method Summary

All Methods Instance Methods Abstract Methods
`WorkingTreeIterator` `getWorkingTreeIterator(Repository repo)`

### Method Detail

#### getWorkingTreeIterator

    WorkingTreeIterator getWorkingTreeIterator(Repository repo)

Parameters:
  `repo` -
Returns:
  a WorkingTreeIterator for repo